<?php
/**
 * @var stEventDispatcher $dispatcher
 */

if (SF_APP == 'backend')
{
    stPluginHelper::addEnableModule('appWrapProductForGiftBackend');
    stPluginHelper::addRouting('appWrapProductForGiftBackend', '/app-wrap-product-for-gift/:action/*', 'appWrapProductForGiftBackend', 'list');
    stConfiguration::addModule(['label' => 'Zapakuj na prezent', 'route' => '@appWrapProductForGiftBackend?action=config', 'icon' => 'appWrapProductForGiftPlugin'], 'sale');
    $dispatcher->connect('stAdminGenerator.generateStProduct', array('appWrapProductForGiftPluginListener', 'generateStProduct')); 
}
elseif (SF_APP == 'frontend')
{
    stPluginHelper::addEnableModule('appWrapProductForGiftFrontend');
    stPluginHelper::addRouting('appWrapProductForGiftFrontend', '/app-wrap-product-for-gift/:action/*', 'appWrapProductForGiftFrontend', 'index');

    $dispatcher->connect('smarty.slot.append', array('appWrapProductForGiftPluginListener', 'smartySlotAppend')); 
    $dispatcher->connect('stActions.preValidate', array('appWrapProductForGiftPluginListener', 'addAssets')); 
    $dispatcher->connect('stBasket.filterTotalAmount', array('appWrapProductForGiftPluginListener', 'filterBasketTotalAmount')); 
    $dispatcher->connect('BasketProduct.filterMaxQuantity', array('appWrapProductForGiftPluginListener', 'filterBasketProductMaxQuantity')); 
    $dispatcher->connect('stOrderActions.postMirrorOrderProduct', array('appWrapProductForGiftPluginListener', 'postMirrorOrderProduct')); 
}
