<?php

 

class appWrapProductForGiftBackendActions extends autoAppWrapProductForGiftBackendActions
{
    public function validateConfig()
    {
        $request = $this->getRequest();

        if ($request->getMethod() == sfRequest::POST)
        {
            $data = $request->getParameter('config');
            $i18n = $this->getContext()->getI18N();

            if (isset($data['enabled']) && isset($data['products']) && empty($data['products']))
            {
                $request->setError('config{products}', $i18n->__('Proszę uzupełnić pole.'));
            }
        }

        return !$request->hasErrors();
    }

    protected function updateConfigFromRequest()
    {
        parent::updateConfigFromRequest();

        $data = $this->getRequestParameter('config');

        $ids = stJQueryToolsHelper::parseTokensFromRequest($data['products'], true);

        $this->config->set('products', $ids);
    }

    protected function saveConfig()
    {
        $result = parent::saveConfig();

        stTheme::clearSmartyCache(true);

        return $result;
    }
}